Subject: Re: linux-next: manual merge of the block tree with the vfs-brauner tree

From: Jens Axboe <[email-masked]>
Date: Mon, 9 Mar 2026 07:54:16 -0600

On 3/9/26 7:48 AM, Jens Axboe wrote:
> On 3/9/26 7:45 AM, Jens Axboe wrote:
>> On 3/6/26 7:22 AM, Christoph Hellwig wrote:
>>> On Thu, Mar 05, 2026 at 10:34:02AM -0700, Keith Busch wrote:
>>>> Yeah, one of us should have to rebase to the other. Since mine is just a
>>>> single patch on the one colliding file, I think it easiest if I just
>>>> rebase my data alignment updates to the vfs integrity branch, then send
>>>> upstream through there. Let me know if there's an alternate preference.
>>>
>>> Yes, I think that would work best.
>>>
>>> Jens: is this okay with you?
>>
>> I think the mistake here is the fact that the integrity stuff got
>> ingested wholesale on the VFS side. That should've been split. So
>> why don't we redo that part? I stage the first 7 in a branch off
>> -rc1, Christian pulls those in, and stages the ntfs3/iomap/xfs
>> on top. That's how it should've been done so let's please just do
>> that now, rather than make an even bigger mess of this.
> 
> Done:
> 
> for-7.1/block-integrity
> 
> then I can either drop Keith's patch from for-7.1/block (rebasing that
> tree), and then Keith can send a new one on top of for-7.1/block which
> can pull in the above branch as well.

Keith, current for-7.1/block is now updated too, I dropped your patch
and while doing so also rebased it to -rc3, as we might as well on a
rebase. for-7.1/block-integrity is pulled into that, and Christian
already acked out-of-band on redoing the fs side of this on top of
that same shared branch.

-- 
Jens Axboe